#pragma once

#include "CoreMinimal.h"
#include "ScreenIndicatorWorldMarkerComponent.h"
#include "ObjectiveScreenIndicatorWorldMarkerComponent.generated.h"

class UTexture2D;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UObjectiveScreenIndicatorWorldMarkerComponent : public UScreenIndicatorWorldMarkerComponent
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UTexture2D* IndicatorHudScreenIcon;

public:
	UObjectiveScreenIndicatorWorldMarkerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UObjectiveScreenIndicatorWorldMarkerComponent) { return 0; }
